/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import { AppPage } from "./app.po";
import { browser, by, element, ElementFinder, logging, protractor } from "protractor";

describe("workspace-project Test Page Null capability", () => {
  let page: AppPage;

  beforeEach(() => {
    page = new AppPage();
    page.navigateToWorkspacesHome();
    expect(browser.getCurrentUrl()).toBe(`${browser.baseUrl}workspaces`);
  });

  it('should display a "launch null capability" button', () => {
    expect(page.getLaunchNullCapabilityButton().getText()).toEqual("Launch null capability");
  });

  // it('should display capability request and execution when "launch null capability" button clicked', () => {
  //   const launchNullCapabilityButton: ElementFinder = element(by.css("#launchNullCapabilityBtn"));
  //   browser
  //     .wait(protractor.ExpectedConditions.elementToBeClickable(launchNullCapabilityButton), 5000)
  //     .then(() => {
  //       launchNullCapabilityButton.click();
  //     });
  //
  //   expect(
  //     browser.wait(protractor.ExpectedConditions.urlContains("request-status"), 5000).catch(() => {
  //       return false;
  //     }),
  //   ).toBeTruthy(`Url match could not succced`);
  // });

  afterEach(async () => {
    // Assert that there are no errors emitted from the browser
    const logs = await browser.manage().logs().get(logging.Type.BROWSER);
    expect(logs).not.toContain(
      jasmine.objectContaining({
        level: logging.Level.SEVERE,
      } as logging.Entry),
    );
  });
});
