# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add-capability-metrics-view

Revision ID: 565c61a53263
Revises: 52638b256dc1
Create Date: 2021-03-29 15:55:27.715018

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "565c61a53263"
down_revision = "52638b256dc1"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
    CREATE VIEW capability_execution_metrics AS
    SELECT cr.capability_request_id as request_id,
       cr.capability_name as cap_name,
       cr.created_at as request_created,
       ex.execution_id as execution_id,
       ex.created_at as execution_created,
       ex.state as execution_state,
       ex.current_workflow_request_id as execution_workflow_id
    FROM capability_executions ex
        Join capability_requests cr on ex.capability_request_id = cr.capability_request_id
    """
    )


def downgrade():
    op.execute(
        """
    DROP VIEW IF EXISTS capability_execution_metrics
    """
    )
